<?php

namespace App\Repositories\Contracts;
use Illuminate\Http\Request;

interface LoteRepositoryInterface
{
    public function getAll();
    public function findById($id);
    public function findWhere($column, $valor);
    public function findWhereFirst($column, $valor);
    public function paginate($totalPage = 10);
    public function store(array $data);
    public function update($id, array $data);
    public function delete($id);
    public function search(Request $request);
    public function relationShips(array $relationShips);
}